Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network2.205.232.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
2.205.232.0
Broadcast address
2.205.235.255
First usable
2.205.232.1
Last usable
2.205.235.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 02CDE800 · Integer 47048704 to 47049727
Reverse DNS zones
232.205.2.in-addr.arpa
233.205.2.in-addr.arpa
234.205.2.in-addr.arpa
235.205.2.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000010.11001101.11101000.000000002.205.232.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00000010.11001101.11101000.000000002.205.232.0
Broadcast00000010.11001101.11101011.111111112.205.235.255
Split into smaller subnets/30

2.205.232.0/22 makes 256 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
12.205.232.0/302.205.232.1 to 2.205.232.22.205.232.32
22.205.232.4/302.205.232.5 to 2.205.232.62.205.232.72
32.205.232.8/302.205.232.9 to 2.205.232.102.205.232.112
42.205.232.12/302.205.232.13 to 2.205.232.142.205.232.152
52.205.232.16/302.205.232.17 to 2.205.232.182.205.232.192
62.205.232.20/302.205.232.21 to 2.205.232.222.205.232.232
72.205.232.24/302.205.232.25 to 2.205.232.262.205.232.272
82.205.232.28/302.205.232.29 to 2.205.232.302.205.232.312
92.205.232.32/302.205.232.33 to 2.205.232.342.205.232.352
102.205.232.36/302.205.232.37 to 2.205.232.382.205.232.392
112.205.232.40/302.205.232.41 to 2.205.232.422.205.232.432
122.205.232.44/302.205.232.45 to 2.205.232.462.205.232.472
132.205.232.48/302.205.232.49 to 2.205.232.502.205.232.512
142.205.232.52/302.205.232.53 to 2.205.232.542.205.232.552
152.205.232.56/302.205.232.57 to 2.205.232.582.205.232.592
162.205.232.60/302.205.232.61 to 2.205.232.622.205.232.632
172.205.232.64/302.205.232.65 to 2.205.232.662.205.232.672
182.205.232.68/302.205.232.69 to 2.205.232.702.205.232.712
192.205.232.72/302.205.232.73 to 2.205.232.742.205.232.752
202.205.232.76/302.205.232.77 to 2.205.232.782.205.232.792
212.205.232.80/302.205.232.81 to 2.205.232.822.205.232.832
222.205.232.84/302.205.232.85 to 2.205.232.862.205.232.872
232.205.232.88/302.205.232.89 to 2.205.232.902.205.232.912
242.205.232.92/302.205.232.93 to 2.205.232.942.205.232.952
252.205.232.96/302.205.232.97 to 2.205.232.982.205.232.992
262.205.232.100/302.205.232.101 to 2.205.232.1022.205.232.1032
272.205.232.104/302.205.232.105 to 2.205.232.1062.205.232.1072
282.205.232.108/302.205.232.109 to 2.205.232.1102.205.232.1112
292.205.232.112/302.205.232.113 to 2.205.232.1142.205.232.1152
302.205.232.116/302.205.232.117 to 2.205.232.1182.205.232.1192
312.205.232.120/302.205.232.121 to 2.205.232.1222.205.232.1232
322.205.232.124/302.205.232.125 to 2.205.232.1262.205.232.1272
332.205.232.128/302.205.232.129 to 2.205.232.1302.205.232.1312
342.205.232.132/302.205.232.133 to 2.205.232.1342.205.232.1352
352.205.232.136/302.205.232.137 to 2.205.232.1382.205.232.1392
362.205.232.140/302.205.232.141 to 2.205.232.1422.205.232.1432
372.205.232.144/302.205.232.145 to 2.205.232.1462.205.232.1472
382.205.232.148/302.205.232.149 to 2.205.232.1502.205.232.1512
392.205.232.152/302.205.232.153 to 2.205.232.1542.205.232.1552
402.205.232.156/302.205.232.157 to 2.205.232.1582.205.232.1592
412.205.232.160/302.205.232.161 to 2.205.232.1622.205.232.1632
422.205.232.164/302.205.232.165 to 2.205.232.1662.205.232.1672
432.205.232.168/302.205.232.169 to 2.205.232.1702.205.232.1712
442.205.232.172/302.205.232.173 to 2.205.232.1742.205.232.1752
452.205.232.176/302.205.232.177 to 2.205.232.1782.205.232.1792
462.205.232.180/302.205.232.181 to 2.205.232.1822.205.232.1832
472.205.232.184/302.205.232.185 to 2.205.232.1862.205.232.1872
482.205.232.188/302.205.232.189 to 2.205.232.1902.205.232.1912
492.205.232.192/302.205.232.193 to 2.205.232.1942.205.232.1952
502.205.232.196/302.205.232.197 to 2.205.232.1982.205.232.1992
512.205.232.200/302.205.232.201 to 2.205.232.2022.205.232.2032
522.205.232.204/302.205.232.205 to 2.205.232.2062.205.232.2072
532.205.232.208/302.205.232.209 to 2.205.232.2102.205.232.2112
542.205.232.212/302.205.232.213 to 2.205.232.2142.205.232.2152
552.205.232.216/302.205.232.217 to 2.205.232.2182.205.232.2192
562.205.232.220/302.205.232.221 to 2.205.232.2222.205.232.2232
572.205.232.224/302.205.232.225 to 2.205.232.2262.205.232.2272
582.205.232.228/302.205.232.229 to 2.205.232.2302.205.232.2312
592.205.232.232/302.205.232.233 to 2.205.232.2342.205.232.2352
602.205.232.236/302.205.232.237 to 2.205.232.2382.205.232.2392
612.205.232.240/302.205.232.241 to 2.205.232.2422.205.232.2432
622.205.232.244/302.205.232.245 to 2.205.232.2462.205.232.2472
632.205.232.248/302.205.232.249 to 2.205.232.2502.205.232.2512
642.205.232.252/302.205.232.253 to 2.205.232.2542.205.232.2552
652.205.233.0/302.205.233.1 to 2.205.233.22.205.233.32
662.205.233.4/302.205.233.5 to 2.205.233.62.205.233.72
672.205.233.8/302.205.233.9 to 2.205.233.102.205.233.112
682.205.233.12/302.205.233.13 to 2.205.233.142.205.233.152
692.205.233.16/302.205.233.17 to 2.205.233.182.205.233.192
702.205.233.20/302.205.233.21 to 2.205.233.222.205.233.232
712.205.233.24/302.205.233.25 to 2.205.233.262.205.233.272
722.205.233.28/302.205.233.29 to 2.205.233.302.205.233.312
732.205.233.32/302.205.233.33 to 2.205.233.342.205.233.352
742.205.233.36/302.205.233.37 to 2.205.233.382.205.233.392
752.205.233.40/302.205.233.41 to 2.205.233.422.205.233.432
762.205.233.44/302.205.233.45 to 2.205.233.462.205.233.472
772.205.233.48/302.205.233.49 to 2.205.233.502.205.233.512
782.205.233.52/302.205.233.53 to 2.205.233.542.205.233.552
792.205.233.56/302.205.233.57 to 2.205.233.582.205.233.592
802.205.233.60/302.205.233.61 to 2.205.233.622.205.233.632
812.205.233.64/302.205.233.65 to 2.205.233.662.205.233.672
822.205.233.68/302.205.233.69 to 2.205.233.702.205.233.712
832.205.233.72/302.205.233.73 to 2.205.233.742.205.233.752
842.205.233.76/302.205.233.77 to 2.205.233.782.205.233.792
852.205.233.80/302.205.233.81 to 2.205.233.822.205.233.832
862.205.233.84/302.205.233.85 to 2.205.233.862.205.233.872
872.205.233.88/302.205.233.89 to 2.205.233.902.205.233.912
882.205.233.92/302.205.233.93 to 2.205.233.942.205.233.952
892.205.233.96/302.205.233.97 to 2.205.233.982.205.233.992
902.205.233.100/302.205.233.101 to 2.205.233.1022.205.233.1032
912.205.233.104/302.205.233.105 to 2.205.233.1062.205.233.1072
922.205.233.108/302.205.233.109 to 2.205.233.1102.205.233.1112
932.205.233.112/302.205.233.113 to 2.205.233.1142.205.233.1152
942.205.233.116/302.205.233.117 to 2.205.233.1182.205.233.1192
952.205.233.120/302.205.233.121 to 2.205.233.1222.205.233.1232
962.205.233.124/302.205.233.125 to 2.205.233.1262.205.233.1272
972.205.233.128/302.205.233.129 to 2.205.233.1302.205.233.1312
982.205.233.132/302.205.233.133 to 2.205.233.1342.205.233.1352
992.205.233.136/302.205.233.137 to 2.205.233.1382.205.233.1392
1002.205.233.140/302.205.233.141 to 2.205.233.1422.205.233.1432
1012.205.233.144/302.205.233.145 to 2.205.233.1462.205.233.1472
1022.205.233.148/302.205.233.149 to 2.205.233.1502.205.233.1512
1032.205.233.152/302.205.233.153 to 2.205.233.1542.205.233.1552
1042.205.233.156/302.205.233.157 to 2.205.233.1582.205.233.1592
1052.205.233.160/302.205.233.161 to 2.205.233.1622.205.233.1632
1062.205.233.164/302.205.233.165 to 2.205.233.1662.205.233.1672
1072.205.233.168/302.205.233.169 to 2.205.233.1702.205.233.1712
1082.205.233.172/302.205.233.173 to 2.205.233.1742.205.233.1752
1092.205.233.176/302.205.233.177 to 2.205.233.1782.205.233.1792
1102.205.233.180/302.205.233.181 to 2.205.233.1822.205.233.1832
1112.205.233.184/302.205.233.185 to 2.205.233.1862.205.233.1872
1122.205.233.188/302.205.233.189 to 2.205.233.1902.205.233.1912
1132.205.233.192/302.205.233.193 to 2.205.233.1942.205.233.1952
1142.205.233.196/302.205.233.197 to 2.205.233.1982.205.233.1992
1152.205.233.200/302.205.233.201 to 2.205.233.2022.205.233.2032
1162.205.233.204/302.205.233.205 to 2.205.233.2062.205.233.2072
1172.205.233.208/302.205.233.209 to 2.205.233.2102.205.233.2112
1182.205.233.212/302.205.233.213 to 2.205.233.2142.205.233.2152
1192.205.233.216/302.205.233.217 to 2.205.233.2182.205.233.2192
1202.205.233.220/302.205.233.221 to 2.205.233.2222.205.233.2232
1212.205.233.224/302.205.233.225 to 2.205.233.2262.205.233.2272
1222.205.233.228/302.205.233.229 to 2.205.233.2302.205.233.2312
1232.205.233.232/302.205.233.233 to 2.205.233.2342.205.233.2352
1242.205.233.236/302.205.233.237 to 2.205.233.2382.205.233.2392
1252.205.233.240/302.205.233.241 to 2.205.233.2422.205.233.2432
1262.205.233.244/302.205.233.245 to 2.205.233.2462.205.233.2472
1272.205.233.248/302.205.233.249 to 2.205.233.2502.205.233.2512
1282.205.233.252/302.205.233.253 to 2.205.233.2542.205.233.2552
1292.205.234.0/302.205.234.1 to 2.205.234.22.205.234.32
1302.205.234.4/302.205.234.5 to 2.205.234.62.205.234.72
1312.205.234.8/302.205.234.9 to 2.205.234.102.205.234.112
1322.205.234.12/302.205.234.13 to 2.205.234.142.205.234.152
1332.205.234.16/302.205.234.17 to 2.205.234.182.205.234.192
1342.205.234.20/302.205.234.21 to 2.205.234.222.205.234.232
1352.205.234.24/302.205.234.25 to 2.205.234.262.205.234.272
1362.205.234.28/302.205.234.29 to 2.205.234.302.205.234.312
1372.205.234.32/302.205.234.33 to 2.205.234.342.205.234.352
1382.205.234.36/302.205.234.37 to 2.205.234.382.205.234.392
1392.205.234.40/302.205.234.41 to 2.205.234.422.205.234.432
1402.205.234.44/302.205.234.45 to 2.205.234.462.205.234.472
1412.205.234.48/302.205.234.49 to 2.205.234.502.205.234.512
1422.205.234.52/302.205.234.53 to 2.205.234.542.205.234.552
1432.205.234.56/302.205.234.57 to 2.205.234.582.205.234.592
1442.205.234.60/302.205.234.61 to 2.205.234.622.205.234.632
1452.205.234.64/302.205.234.65 to 2.205.234.662.205.234.672
1462.205.234.68/302.205.234.69 to 2.205.234.702.205.234.712
1472.205.234.72/302.205.234.73 to 2.205.234.742.205.234.752
1482.205.234.76/302.205.234.77 to 2.205.234.782.205.234.792
1492.205.234.80/302.205.234.81 to 2.205.234.822.205.234.832
1502.205.234.84/302.205.234.85 to 2.205.234.862.205.234.872
1512.205.234.88/302.205.234.89 to 2.205.234.902.205.234.912
1522.205.234.92/302.205.234.93 to 2.205.234.942.205.234.952
1532.205.234.96/302.205.234.97 to 2.205.234.982.205.234.992
1542.205.234.100/302.205.234.101 to 2.205.234.1022.205.234.1032
1552.205.234.104/302.205.234.105 to 2.205.234.1062.205.234.1072
1562.205.234.108/302.205.234.109 to 2.205.234.1102.205.234.1112
1572.205.234.112/302.205.234.113 to 2.205.234.1142.205.234.1152
1582.205.234.116/302.205.234.117 to 2.205.234.1182.205.234.1192
1592.205.234.120/302.205.234.121 to 2.205.234.1222.205.234.1232
1602.205.234.124/302.205.234.125 to 2.205.234.1262.205.234.1272
1612.205.234.128/302.205.234.129 to 2.205.234.1302.205.234.1312
1622.205.234.132/302.205.234.133 to 2.205.234.1342.205.234.1352
1632.205.234.136/302.205.234.137 to 2.205.234.1382.205.234.1392
1642.205.234.140/302.205.234.141 to 2.205.234.1422.205.234.1432
1652.205.234.144/302.205.234.145 to 2.205.234.1462.205.234.1472
1662.205.234.148/302.205.234.149 to 2.205.234.1502.205.234.1512
1672.205.234.152/302.205.234.153 to 2.205.234.1542.205.234.1552
1682.205.234.156/302.205.234.157 to 2.205.234.1582.205.234.1592
1692.205.234.160/302.205.234.161 to 2.205.234.1622.205.234.1632
1702.205.234.164/302.205.234.165 to 2.205.234.1662.205.234.1672
1712.205.234.168/302.205.234.169 to 2.205.234.1702.205.234.1712
1722.205.234.172/302.205.234.173 to 2.205.234.1742.205.234.1752
1732.205.234.176/302.205.234.177 to 2.205.234.1782.205.234.1792
1742.205.234.180/302.205.234.181 to 2.205.234.1822.205.234.1832
1752.205.234.184/302.205.234.185 to 2.205.234.1862.205.234.1872
1762.205.234.188/302.205.234.189 to 2.205.234.1902.205.234.1912
1772.205.234.192/302.205.234.193 to 2.205.234.1942.205.234.1952
1782.205.234.196/302.205.234.197 to 2.205.234.1982.205.234.1992
1792.205.234.200/302.205.234.201 to 2.205.234.2022.205.234.2032
1802.205.234.204/302.205.234.205 to 2.205.234.2062.205.234.2072
1812.205.234.208/302.205.234.209 to 2.205.234.2102.205.234.2112
1822.205.234.212/302.205.234.213 to 2.205.234.2142.205.234.2152
1832.205.234.216/302.205.234.217 to 2.205.234.2182.205.234.2192
1842.205.234.220/302.205.234.221 to 2.205.234.2222.205.234.2232
1852.205.234.224/302.205.234.225 to 2.205.234.2262.205.234.2272
1862.205.234.228/302.205.234.229 to 2.205.234.2302.205.234.2312
1872.205.234.232/302.205.234.233 to 2.205.234.2342.205.234.2352
1882.205.234.236/302.205.234.237 to 2.205.234.2382.205.234.2392
1892.205.234.240/302.205.234.241 to 2.205.234.2422.205.234.2432
1902.205.234.244/302.205.234.245 to 2.205.234.2462.205.234.2472
1912.205.234.248/302.205.234.249 to 2.205.234.2502.205.234.2512
1922.205.234.252/302.205.234.253 to 2.205.234.2542.205.234.2552
1932.205.235.0/302.205.235.1 to 2.205.235.22.205.235.32
1942.205.235.4/302.205.235.5 to 2.205.235.62.205.235.72
1952.205.235.8/302.205.235.9 to 2.205.235.102.205.235.112
1962.205.235.12/302.205.235.13 to 2.205.235.142.205.235.152
1972.205.235.16/302.205.235.17 to 2.205.235.182.205.235.192
1982.205.235.20/302.205.235.21 to 2.205.235.222.205.235.232
1992.205.235.24/302.205.235.25 to 2.205.235.262.205.235.272
2002.205.235.28/302.205.235.29 to 2.205.235.302.205.235.312
2012.205.235.32/302.205.235.33 to 2.205.235.342.205.235.352
2022.205.235.36/302.205.235.37 to 2.205.235.382.205.235.392
2032.205.235.40/302.205.235.41 to 2.205.235.422.205.235.432
2042.205.235.44/302.205.235.45 to 2.205.235.462.205.235.472
2052.205.235.48/302.205.235.49 to 2.205.235.502.205.235.512
2062.205.235.52/302.205.235.53 to 2.205.235.542.205.235.552
2072.205.235.56/302.205.235.57 to 2.205.235.582.205.235.592
2082.205.235.60/302.205.235.61 to 2.205.235.622.205.235.632
2092.205.235.64/302.205.235.65 to 2.205.235.662.205.235.672
2102.205.235.68/302.205.235.69 to 2.205.235.702.205.235.712
2112.205.235.72/302.205.235.73 to 2.205.235.742.205.235.752
2122.205.235.76/302.205.235.77 to 2.205.235.782.205.235.792
2132.205.235.80/302.205.235.81 to 2.205.235.822.205.235.832
2142.205.235.84/302.205.235.85 to 2.205.235.862.205.235.872
2152.205.235.88/302.205.235.89 to 2.205.235.902.205.235.912
2162.205.235.92/302.205.235.93 to 2.205.235.942.205.235.952
2172.205.235.96/302.205.235.97 to 2.205.235.982.205.235.992
2182.205.235.100/302.205.235.101 to 2.205.235.1022.205.235.1032
2192.205.235.104/302.205.235.105 to 2.205.235.1062.205.235.1072
2202.205.235.108/302.205.235.109 to 2.205.235.1102.205.235.1112
2212.205.235.112/302.205.235.113 to 2.205.235.1142.205.235.1152
2222.205.235.116/302.205.235.117 to 2.205.235.1182.205.235.1192
2232.205.235.120/302.205.235.121 to 2.205.235.1222.205.235.1232
2242.205.235.124/302.205.235.125 to 2.205.235.1262.205.235.1272
2252.205.235.128/302.205.235.129 to 2.205.235.1302.205.235.1312
2262.205.235.132/302.205.235.133 to 2.205.235.1342.205.235.1352
2272.205.235.136/302.205.235.137 to 2.205.235.1382.205.235.1392
2282.205.235.140/302.205.235.141 to 2.205.235.1422.205.235.1432
2292.205.235.144/302.205.235.145 to 2.205.235.1462.205.235.1472
2302.205.235.148/302.205.235.149 to 2.205.235.1502.205.235.1512
2312.205.235.152/302.205.235.153 to 2.205.235.1542.205.235.1552
2322.205.235.156/302.205.235.157 to 2.205.235.1582.205.235.1592
2332.205.235.160/302.205.235.161 to 2.205.235.1622.205.235.1632
2342.205.235.164/302.205.235.165 to 2.205.235.1662.205.235.1672
2352.205.235.168/302.205.235.169 to 2.205.235.1702.205.235.1712
2362.205.235.172/302.205.235.173 to 2.205.235.1742.205.235.1752
2372.205.235.176/302.205.235.177 to 2.205.235.1782.205.235.1792
2382.205.235.180/302.205.235.181 to 2.205.235.1822.205.235.1832
2392.205.235.184/302.205.235.185 to 2.205.235.1862.205.235.1872
2402.205.235.188/302.205.235.189 to 2.205.235.1902.205.235.1912
2412.205.235.192/302.205.235.193 to 2.205.235.1942.205.235.1952
2422.205.235.196/302.205.235.197 to 2.205.235.1982.205.235.1992
2432.205.235.200/302.205.235.201 to 2.205.235.2022.205.235.2032
2442.205.235.204/302.205.235.205 to 2.205.235.2062.205.235.2072
2452.205.235.208/302.205.235.209 to 2.205.235.2102.205.235.2112
2462.205.235.212/302.205.235.213 to 2.205.235.2142.205.235.2152
2472.205.235.216/302.205.235.217 to 2.205.235.2182.205.235.2192
2482.205.235.220/302.205.235.221 to 2.205.235.2222.205.235.2232
2492.205.235.224/302.205.235.225 to 2.205.235.2262.205.235.2272
2502.205.235.228/302.205.235.229 to 2.205.235.2302.205.235.2312
2512.205.235.232/302.205.235.233 to 2.205.235.2342.205.235.2352
2522.205.235.236/302.205.235.237 to 2.205.235.2382.205.235.2392
2532.205.235.240/302.205.235.241 to 2.205.235.2422.205.235.2432
2542.205.235.244/302.205.235.245 to 2.205.235.2462.205.235.2472
2552.205.235.248/302.205.235.249 to 2.205.235.2502.205.235.2512
2562.205.235.252/302.205.235.253 to 2.205.235.2542.205.235.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses